GearmanJob::sendData
GearmanJob::sendFail
GearmanJob
PHP Manual

# GearmanJob::sendException

(PECL gearman >= 0.6.0)

GearmanJob::sendException — Send exception for running job (exception)

### Description

public bool GearmanJob::sendException ( string `$exception` )

Sends the supplied exception when this job is running.

### Parameters

`exception`

  An exception description.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::setReturn - Set a return value
- GearmanJob::sendStatus - Send status
- GearmanJob::sendWarning - Send a warning

GearmanJob::sendData
GearmanJob::sendFail
GearmanJob
PHP Manual